Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1574916 - Adding test machine in Web UI results in unsupported command
Summary: Adding test machine in Web UI results in unsupported command
Keywords:
Status: NEW
Alias: None
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification
Version: 1.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Greg Nichols
QA Contact: rhcert qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 11:01 UTC by Rainer Koenig
Modified: 2021-01-22 11:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
RedHatCertDaemon.log from SUT (6.09 KB, text/plain)
2018-05-04 12:08 UTC, Rainer Koenig
no flags Details
/var/log/httpd/error_log (1.55 MB, text/plain)
2018-05-09 14:14 UTC, Rainer Koenig
no flags Details
Log from 2018-05-17 (8.11 KB, text/plain)
2018-05-17 09:10 UTC, Rainer Koenig
no flags Details
Log from 2018-05-17 (914.13 KB, text/plain)
2018-05-17 09:11 UTC, Rainer Koenig
no flags Details
Screnshot from registered systems (86.18 KB, image/png)
2018-05-17 09:13 UTC, Rainer Koenig
no flags Details
Screenshot from add test system dialog (96.21 KB, image/png)
2018-05-17 09:14 UTC, Rainer Koenig
no flags Details
Screenshot with the error message (103.47 KB, image/png)
2018-05-17 09:16 UTC, Rainer Koenig
no flags Details

Description Rainer Koenig 2018-05-04 11:01:02 UTC
Description of problem:
Trying to add a test machine to a certification. Select the machine from the list results in the message 

unsuppored command ""

in the web UI. The results file is empty and there is no option to start any test. 

Version-Release number of selected component (if applicable):
redhat-certification-5.11-20180423.el7.noarch

How reproducible:
Always. 

Steps to Reproduce:
1. Add machine in the configuration menu of the UI
2. Switch to the certification and select "setup testing"
3. Try to add the machine with the web ui

Actual results:

Web UI reports  unsuppored command ""   (busy) 

Expected results:

Machine is added and I can start tests 

Additional info:
RHEL 7.5 on the SUT.

Comment 1 Greg Nichols 2018-05-04 11:10:27 UTC
What is shown on the web UI's configuration page for this SUT?

Could you try removing the system and re-registering it on that page?

Comment 2 Rainer Koenig 2018-05-04 11:35:53 UTC
Removed the system and added it again: 

Registered Systems
System	IP Address	Type	Status		
localhost.localdomain 	192.168.2.144 	FUJITSU CELSIUS CELSIUS M770 	
Command "register" succeeded
	
Switched to certification and "Testing"

System is still assinged here and I see:

localhost.localdomain (192.168.2.144)
Command "register" succeeded 	(busy) 

(busy) remains, even after reloading the "testing" page. 

Removed system here and in the configuration. 

Next try: adding system in the configuration and then "add test system" from the certification/Testing tab. 

Web UI reports:

ocalhost.localdomain (192.168.2.144)
Unsupported command "" 	(busy) 

Still can't get to the point where I could start a test.

Comment 3 Greg Nichols 2018-05-04 11:42:48 UTC
Could you attach /var/log/rhcert/RedHatCertDaemon.log from the SUT?

Comment 4 Rainer Koenig 2018-05-04 12:08:00 UTC
Created attachment 1431302 [details]
RedHatCertDaemon.log from SUT

Found that line that said 

Microservice at https://access.redhat.com/hydra/rest/cwe/ is not accessible: ('Connection aborted.', error(111, 'Connection refused'))

and then added the proxy settings to /etc/rhcert.xml

But result is still the same, always get "unsupported command" even when the proxy on the sut is set.

Comment 5 Greg Nichols 2018-05-04 13:19:21 UTC
Could you try registering the SUT from the command line on the SUT?

> rhcert-cli register

Comment 6 Rainer Koenig 2018-05-04 13:33:54 UTC
Tried that, but doesn't help. Still get "unsupported command" when trying to add the registgered system to the certification.

Is there any dependency on the RHEL version that the server is using? 
SUT is RHEL 7.5, server is still at RHEL 7.4

Comment 7 Greg Nichols 2018-05-08 20:15:20 UTC
No, either should work.

Could you try running the rhcertd SUT client in the foreground:

>rhcertd daemon --debug high

Then on the Testing page for the certification, use the Add Test System button to add the system.

Also, what certification packages are on the SUT:

> rpm -qa | fgrep redhat-certification

Thanks!

Comment 8 Rainer Koenig 2018-05-09 10:15:44 UTC
After running rhcertd in the forground I see this on my terminal:

[root@m770-linux ~]# rhcertd daemon --debug high
Searching /usr/lib/python2.7/site-packages/rhcert/suites...
sys.path:
['/usr/bin', '/usr/lib64/python27.zip', '/usr/lib64/python2.7', '/usr/lib64/python2.7/plat-linux2', '/usr/lib64/python2.7/lib-tk', '/usr/lib64/python2.7/lib-old', '/usr/lib64/python2.7/lib-dynload', '/usr/lib64/python2.7/site-packages', '/usr/lib64/python2.7/site-packages/gtk-2.0', '/usr/lib/python2.7/site-packages', u'/usr/lib/python2.7/site-packages/rhcert/suites']
importing suite rhcert as module
importing suite hwcert as module
Skipping class <class 'rhcert.test.Test'> - constructor takes 2 args
Skipping class <class 'rhcert.test.UnitTest'> - constructor takes 5 args
Skipping class <class 'rhcert.suites.hwcert.hwcert.hardwareTest.HardwareTest'> - constructor takes 2 args
Instantiated test class <class 'rhcert.suites.hwcert.tests.audio.audio.AudioTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.battery.battery.BatteryTest'>
Skipping class <class 'rhcert.suites.hwcert.hwcert.opticalDiskTest.OpticalDiskTest'> - constructor takes 2 args
Instantiated test class <class 'rhcert.suites.hwcert.tests.bluray.bluray.BluRayTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.cdrom.cdrom.CDRomTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.core.core.CoreTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.cpuscaling.cpuscaling.CPUScalingTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.dvd.dvd.DVDTest'>
Skipping class <class 'rhcert.suites.hwcert.hwcert.usbTest.USBTestBase'> - constructor takes 2 args
Instantiated test class <class 'rhcert.suites.hwcert.tests.expresscard.expresscard.ExpressCardTest'>
Skipping class <class 'rhcert.suites.hwcert.hwcert.fvtest.FvTest'> - constructor takes 2 args
Instantiated test class <class 'rhcert.suites.hwcert.tests.fv_core.fv_core.FvCoreTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.fv_memory.fv_memory.FvMemoryTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.infiniband.infiniband.InfinibandTest'>
Instantiated test class <class 'rhcert.suites.rhcert.selfcheck.SelfCheck'>
Skipping class <class 'rhcert.suites.rhcert.platform.KernelTest'> - constructor takes 2 args
Instantiated test class <class 'rhcert.suites.hwcert.tests.info.info.InfoTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.lid.lid.LidTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.memory.memory.MemoryTest'>
Skipping class <class 'rhcert.suites.hwcert.hwcert.networkTest.NetworkTest'> - constructor takes 2 args
Skipping class <class 'rhcert.suites.hwcert.hwcert.ethernet.EthernetTest'> - constructor takes 2 args
Instantiated test class <class 'rhcert.suites.hwcert.tests.network.network.Ethernet100MegTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.network.network.Ethernet1GigTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.network.network.Ethernet10GigTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.network.network.Ethernet20GigTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.network.network.Ethernet25GigTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.network.network.Ethernet40GigTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.network.network.Ethernet50GigTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.network.network.Ethernet100GigTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.profiler.profiler.ProfilerTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.realtime.realtime.Realtime'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.reboot.reboot.RebootTest'>
Skipping class <class 'rhcert.suites.hwcert.hwcert.storageTest.StorageTest'> - constructor takes 2 args
Instantiated test class <class 'rhcert.suites.hwcert.tests.storage.storage.StorageSATATest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.storage.storage.StorageSASTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.storage.storage.DefaultStorageTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.suspend.suspend.SuspendTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.sosreport.sosreport.SosReportTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.tape.tape.TapeTest'>
Skipping class <class 'rhcert.suites.hwcert.tests.usb.usb.USBTest'> - constructor takes 2 args
Instantiated test class <class 'rhcert.suites.hwcert.tests.usb.usb.USB2Test'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.usb.usb.USB3Test'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.video.video.VideoTest'>
Skipping class <class 'rhcert.suites.hwcert.tests.wlan.wlan.WLanTest'> - constructor takes 2 args
Instantiated test class <class 'rhcert.suites.hwcert.tests.wlan.wlan.WirelessGTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.wlan.wlan.WirelessNTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.wlan.wlan.WirelessACTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.kdump.kdump.KDumpTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.fingerprintreader.fingerprintreader.FingerprintReaderTest'>
Skipping class <class 'rhcert.suites.hwcert.tests.rdmaConnection.rdmaConnection.RdmaConnectionTest'> - constructor takes 2 args
Instantiated test class <class 'rhcert.suites.hwcert.tests.rdmaConnection.rdmaConnection.InfinibandConnectionTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.rdmaConnection.rdmaConnection.OmnipathConnectionTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.rdmaConnection.rdmaConnection.RoCEConnectionTest'>
Instantiated test class <class 'rhcert.suites.hwcert.tests.rdmaConnection.rdmaConnection.IWarpConnectionTest'>

Starting RedHatCertDaemon at 2018-05-09 09:12:07
The rhcert daemon is NOT running
Starting daemon
Setting RedHatCertDaemon pid to 19277
Checking for continuation
ready
checking for tasks
got a job
<?xml version="1.0" encoding="utf-8"?><?xml-stylesheet href="/rhcert/css/task.css" type="text/css"?><rhcert-task rhcert-release="20180423" rhcert-version="5.11"><property name="mode">auto</property><property name="debug">off</property><property name="serverIP">192.168.2.3</property></rhcert-task>
"<?xml version="1.0" encoding="utf-8"?><?xml-stylesheet href="/rhcert/css/task.css" type="text/css"?><rhcert-task rhcert-release="20180423" rhcert-version="5.11"><property name="mode">auto</property><property name="debug">off</property><property name="serverIP">192.168.2.3</property></rhcert-task>"
running xml
running task:
<?xml version="1.0" encoding="utf-8"?><?xml-stylesheet href="/rhcert/css/task.css" type="text/css"?><rhcert-task rhcert-release="20180423" rhcert-version="5.11"><property name="mode">auto</property><property name="debug">off</property><property name="serverIP">192.168.2.3</property></rhcert-task>
checking for tasks

--------------------8<----------------

rpm -qa | fgrep redhat-certification on the SUT produces this:

redhat-certification-5.11-20180423.el7.noarch
redhat-certification-backend-5.11-20180423.el7.noarch
redhat-certification-hardware-5.11-20180418.1.el7.noarch

Comment 9 Greg Nichols 2018-05-09 12:04:13 UTC
Could you do the following

- on the configuration page of the LTS, check the Enable Debug checkbox
- re-try setting the SUT to do testing on the certification
- attach /var/log/httpd/error_log 

Thanks!

Comment 10 Rainer Koenig 2018-05-09 14:14:24 UTC
Created attachment 1433882 [details]
/var/log/httpd/error_log

Last attempt to add the machine to the test started at timestamp [Wed May 09 14:04:03.864546].

Comment 11 Greg Nichols 2018-05-16 16:33:27 UTC
When you're selecting the host to test, is there multiple hosts on the list? Are you clicking the radio button if there's only one?

Could attempt to add the host the the certification and  attach screenshots of the list of hosts to select, and the resulting screen with the error?

Also, please attach both the logs from the SUT:

/var/log/rhcert/RedHatCertDaemon.log
/var/log/rhcert/RedHatCertificationListener.log

Thanks!

Comment 12 Rainer Koenig 2018-05-17 09:10:16 UTC
Created attachment 1437843 [details]
Log from 2018-05-17

Comment 13 Rainer Koenig 2018-05-17 09:11:08 UTC
Created attachment 1437844 [details]
Log from 2018-05-17

Reduced this to the entries of just today May 17, otherwise it would be 145 MB...

Comment 14 Rainer Koenig 2018-05-17 09:13:30 UTC
Created attachment 1437846 [details]
Screnshot from registered systems

There is just the SUT and nothing more

Comment 15 Rainer Koenig 2018-05-17 09:14:20 UTC
Created attachment 1437847 [details]
Screenshot from add test system dialog

Selected the one and only radio button and will no press the "TEST" button.

Comment 16 Rainer Koenig 2018-05-17 09:16:02 UTC
Created attachment 1437848 [details]
Screenshot with the error message

resulting screen shows 

Unsupported command ""

Comment 17 Greg Nichols 2018-05-21 12:37:39 UTC
I've been unable to reproduce this bug.

We've released an update to the packages (version 5.12), could you update both LTS and SUT and re-try?

Comment 18 Rainer Koenig 2018-05-22 11:58:51 UTC
Installed version 5.12 on both LTS and SUT (reinstalled SUT from scratch with the new packages), but problem is still there. After adding the machine all I get is 

Unsupported command ""

Comment 19 Rainer Koenig 2018-05-24 12:31:05 UTC
Tried to setup a complete new test server from scratch to see if the problem is still there. Yes, even on a new installation we still have the same problem.

Comment 20 Rainer Koenig 2018-05-28 14:03:24 UTC
Additional info:

If I use "Certifications" / "Testing" / "Add machine" I experience the problem. 

If I create a Sandbox for RHEL 7.5 hardware testing I can assign the machine to this sandbox and don't see that problem. Machine registers, creates a test plan and performs tests. 

But as soon as I use a certification from the online catalog I have this problem.

BTW: Can you reproduce that on your site? 

Is there a way to do the tests in the sandbox and then assign those results to an online certification from the catalog?

Comment 21 Rainer Koenig 2018-06-08 08:36:44 UTC
Some new developments with this bug. Opened a case 

https://access.redhat.com/support/cases/#/case/02116616

and this is the news:

Next episode in that drama. Since also version 5.13 doesn't help I got desperate and I opened the test suite user guide to see if I'm doing something wrong.

7.3. ADD A PRODUCT TO THE LTS FROM THE RED HAT
CERTIFICATION CATALOG

says

"3. Click the New Certification button."

I thought. "WTF, I already have one" but nethertheless I did it. Yeah, got asked the usual questions and ended up in an empty certification without any test plan. But guess what... Now registering a sytem and adding it to this cert for testing works without any problem at all.

So now I have two certifications:

ID = 3481531   new, no test plan, but adding the system works

ID = 3421161   old, testplan provided by the reviewers, but adding the system doesn't work

So I start thinking the root cause of the problem is not in the software but in the data that is stored in the old cert.


Note You need to log in before you can comment on or make changes to this bug.